# Created by pyp2rpm-3.2.2
%global pypi_name sgmllib3k

Name:           python3-sgmllib3k
Version:        1.0.0
Release:        %mkrel 8
Group:          Development/Python
Summary:        Py3k port of sgmllib

License:        BSD License
# This URL is no longer available
URL:            http://hg.hardcoded.net/sgmllib
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description
 sgmllib3k -- Py3k port of the old stdlib module sgmllib was dropped in Python
3. For those depending on it, that's somewhat unfortunate. This is a quick and
dirty port of this old module. I just ran 2to3 on it and published it. I don't
indent to maintain it, so it might be a good idea to eventually think about
finding another module to use.


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info



%build
%py3_build


%install
%{__python3} setup.py install --skip-build --root %{buildroot}


%files
%doc
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/sgmllib.py
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.0.0-8.mga9
+ Revision: 1822396
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 1.0.0-7.mga9
+ Revision: 1773509
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Mon Mar 15 2021 wally <wally> 1.0.0-6.mga9
+ Revision: 1703191
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.0.0-5.mga8
+ Revision: 1533676
- Mageia 8 Mass Rebuild

* Mon Sep 23 2019 tv <tv> 1.0.0-4.mga8
+ Revision: 1444889
- rebuild for python-3.8

* Tue Jan 08 2019 tv <tv> 1.0.0-3.mga7
+ Revision: 1352088
- rebuild with python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 1.0.0-2.mga7
+ Revision: 1290591
- Mageia 7 Mass Rebuild

* Thu Nov 16 2017 shlomif <shlomif> 1.0.0-1.mga7
+ Revision: 1177559
- import from pyp2rpm

